# H501ServiceRequest Class Reference

`#include <peclient.h>`

Inheritance diagram for H501ServiceRequest:

[legend]
Collaboration diagram for H501ServiceRequest:
[legend]

## Public Member Functions

| H501ServiceRequest (H323PeerElement &pe, const H501PDU &pdu)
virtual void | SetRejectReason (unsigned reasonCode)

## Data Fields

H501_ServiceRequest & | srq
H501_ServiceConfirmation & | scf
H501_ServiceRejection & | srj

## Protected Member Functions

virtual Response | OnHandlePDU ()

## Constructor & Destructor Documentation

H501ServiceRequest::H501ServiceRequest | ( | H323PeerElement & | pe,
|  | const H501PDU & | pdu |
| ) |  |  |

## Member Function Documentation

virtual Response H501ServiceRequest::OnHandlePDU | ( |  | ) | `[protected, virtual]`

Implements H323Transaction.

virtual void H501ServiceRequest::SetRejectReason | ( | unsigned | reasonCode | ) | `[virtual]`

Implements H323Transaction.

## Field Documentation

H501_ServiceConfirmation& H501ServiceRequest::scf

H501_ServiceRejection& H501ServiceRequest::srj

H501_ServiceRequest& H501ServiceRequest::srq

The documentation for this class was generated from the following file:

- peclient.h